from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class AttrChangeType(IntEnum):
    MODIFICATION = auto()
    ADDITION = auto()
    REMOVAL = auto()
